@import "variables";

:host {
  display: block;
  width: 100%;
}

:host:last-child li::before {
  bottom: -10px;
}

li {
  display: flex;
  align-items: flex-start;
  position: relative;
  width: 100%;

  ryax-status-icon {
    margin-right: 8px;
    margin-top: 18px;
  }

  &::before {
    content: '';
    display: block;
    position: absolute;
    width: 2px;
    top: 43px;
    bottom: -13px;
    left: 9px;
    background-size: 300% 300%;
    background-image: linear-gradient(180deg, $red5 33%, $primary4 66%);
    transition: background-position 2s;
  }

  &.ryax-line-red::before {
    background-position: top;
  }

  &.ryax-line-purple::before {
    background-position: bottom;
  }

  &.ryax-line-gradient::before {
    background-position: center;
  }

  span {
    display: flex;
    align-items: center;
    justify-content: center;
    line-height: 1;
    height: 32px;
    width: 32px;
    border: 2px solid $primary4;
    color: $primary4;
    border-radius: 100%;
    margin: 12px 8px 0 -6px;
    font-weight: 700;
    font-size: 0.8125rem;
    flex: none;
  }
}
